## ngs-sdk 1.3.0

=== Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: subdirs

# the sub-directories
SUBDIRS =    \
	ngs-sdk \
	ngs-java \
	ngs-python \

SUBDIRS_CLN = \
	$(addsuffix _cln,$(SUBDIRS))

SUBDIRS_INST = \
	$(addsuffix _inst,$(SUBDIRS))

SUBDIRS_TST = \
	$(addsuffix _test,$(SUBDIRS))

subdirs: $(SUBDIRS)

clean: $(SUBDIRS_CLN)

test: $(SUBDIRS_TST)

install: $(SUBDIRS_INST)

$(SUBDIRS):
	@ $(MAKE) -C $@

$(SUBDIRS_CLN):
	@ $(MAKE) -C $(subst _cln,,$@) clean

$(SUBDIRS_INST):
	@ $(MAKE) -s --no-print-directory -C $(subst _inst,,$@) install

$(SUBDIRS_TST):
	@ $(MAKE) -C $(subst _test,,$@) test

.PHONY: $(SUBDIRS) $(SUBDIRS_CLN) $(SUBDIRS_INST)

=== ngs-bam/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: std

# the sub-targets
SUBDIRS =    \

SUBTARGS =     \

include $(CURDIR)/Makefile.rules

std: Makefile.config
	@ $(MAKE) -f Makefile.libs std

clean: Makefile.config
	@ $(MAKE) -f Makefile.libs clean

install: Makefile.config
	@ $(MAKE) -f Makefile.libs
	@ $(MAKE) -s --no-print-directory -f Makefile.install install

.PHONY: std clean install

=== ngs-java/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: subtargs

# the sub-targets
SUBTARGS =  \
	java

# standard rules and phony targets
include $(CURDIR)/Makefile.rules

# rules for making java code
# Java is given special rules because javac defies makefiles
java: Makefile.config
	@ $(MAKE) -f Makefile.java

java_cln: Makefile.config
	@ $(MAKE) -f Makefile.java clean

java_inst: Makefile.config
	@ echo "Checking make status of jars..."
	@ $(MAKE) -s --no-print-directory -f Makefile.java
	@ $(MAKE) -s --no-print-directory -f Makefile.java install

=== ngs-python/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: subtargs

# the sub-targets
SUBTARGS =  \
	dummy

# standard rules and phony targets
include $(CURDIR)/Makefile.rules

# rules for making python code
install: Makefile.config
	@ $(MAKE) -s --no-print-directory -f Makefile.python install

dummy:
	@ echo "make complete for python"

dummy_cln dummy_inst:
	@ true

=== ngs-sdk/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: subtargs

# the sub-targets
SUBDIRS =    \
	language \
	dispatch \
	adapter  \

SUBTARGS =     \
	$(SUBDIRS) \
	sdk-libs   \

include $(CURDIR)/Makefile.rules

sdk-libs: $(SUBDIRS) Makefile.config
	@ $(MAKE) -f Makefile.libs

sdk-libs_cln: Makefile.config
	@ $(MAKE) -f Makefile.libs clean

sdk-libs_inst: Makefile.config 
	@ echo "Checking make status of object libraries..."
	@ $(MAKE) -s --no-print-directory sdk-libs
	@ $(MAKE) -s --no-print-directory -f Makefile.install install

=== ngs-bam/examples/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: std

ifeq (Darwin,$(shell uname -s))
CFLAGS += -mmacosx-version-min=10.6
endif

CC = cc $(CFLAGS)
CXX = c++ $(CPPFLAGS)

# ensure definition of paths, namely
# NCBI_VDB_LIBDIR and NGS_LIBDIR
include $(CURDIR)/Makefile.config

TARGETS =         \
    AlignTest

# This rule triggers detection of the libraries and headers
# in addition to building the examples
std: $(NCBI_VDB_LIBDIR)/libncbi-vdb-static.a ncbi-headers \
	 $(NGS_LIBDIR)/libngs-c++.a ngs-headers \
	 $(NGS_BAM_LIBDIR)/libngs-bam-c++.a ngs-bam-headers \
	 $(TARGETS)

clean:
	rm -f $(TARGETS) *.o

.PHONY: default std $(TARGETS)

# C++ applications require two NGS libraries:
#  1. ngs-c++ which contains the NGS "front-end" interfaces
#  2. an NGS "back-end" engine such as ncbi-ngs-c++
#     which in turn relies upon ncbi-vdb to access the SRA
#
TEST_LIBS =              \
	-L$(NCBI_VDB_LIBDIR) \
	-L$(NGS_LIBDIR)      \
	-L$(NGS_BAM_LIBDIR)  \
	-lncbi-ngs-c++       \
	-lngs-c++            \
	-lncbi-vdb-static    \
	-lngs-bam-c++        \
	-lngs-adapt-c++      \
	-lpthread            \
	-ldl                 \
	-lm

# AlignTest #################
#  access alignments
ALIGN_TEST_SRC = \
    AlignTest.cpp

AlignTest: $(ALIGN_TEST_SRC)
	$(CXX) -g -o $@ $^ $(TEST_LIBS)

# ===========================================================================
#
# example runs

run_align: AlignTest
	./$^ ERR225922 1 1


.PHONY: run_align

=== ngs-java/examples/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

#DEBUGGING = -d

TARGETS =             \
	NGS-JavaTest.jar

std: $(TARGETS)

clean:
	rm -f $(TARGETS) examples/*.class

.PHONY: default std $(TARGETS)

NGS_EXAMPLES = \
	AlignSliceTest \
	AlignTest \
	DumpReferenceFASTA \
	FragTest \
	PileupTest \
	ReadGroupTest \
	RefTest \

NGS_EXAMPLES_PATH = \
	$(addprefix examples/,$(addsuffix .java,$(NGS_EXAMPLES)))

NGS_CLASS_PATH = ..

NGS-JavaTest.jar: $(NGS_EXAMPLES_PATH)
	javac $(DEBUGGING) $^ -d .
	( jar cf $@ `find examples -name "*.class"`; chmod -x,o-w $@ ) || ( rm -f $@ && false )

# ===========================================================================
#
# example runs

JAVAFLAGS = -classpath $(CLASSPATH):$(NGS_CLASS_PATH):.

# Expect libngs-sdk.so and libncbi-vdb.so somewhere inside $LD_LIBRARY_PATH;
#   if the libraries are not found, error out.
# Comment out to rely on "smart load" instead (may download libraries from NCBI):
JAVAFLAGS += -Djava.library.path=$(LD_LIBRARY_PATH) -Dvdb.System.loadLibrary=1

# uncomment to see detailed log"
JAVAFLAGS += -Dvdb.log=FINEST

run_frag: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.FragTest ERR225922 10000 2  $(REDIRECT)

run_align: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.AlignTest ERR225922 10000 2 $(REDIRECT)

run_dump: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.DumpReferenceFASTA SRR520124 1 $(REDIRECT)

run_align_slice: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.AlignSliceTest SRR1121656 1 1 9999 $(REDIRECT)

run_pileup: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.PileupTest SRR1121656 1 9999 10003 $(REDIRECT)

run_ref: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.RefTest SRR1121656 $(REDIRECT)
    
run_read_group: NGS-JavaTest.jar
	java $(JAVAFLAGS) examples.ReadGroupTest SRR1121656 $(REDIRECT)
    
ALL_TESTS = run_frag run_align run_align_slice \
	run_pileup run_ref run_read_group run_dump

run_all: $(ALL_TESTS)

.PHONY: $(ALL_TESTS)

# ===========================================================================
#
# expected results for auto-testing
#
expected.txt update_expected: 
	rm -f expected.txt; $(MAKE) run_all REDIRECT=">>expected.txt"

run_and_diff: expected.txt  
	rm -f actual.txt; $(MAKE) run_all REDIRECT=">>actual.txt"
	diff expected.txt actual.txt && rm actual.txt && echo NGS Java examples work as expected

.PHONY: update_expected run_and_diff

=== ngs-python/examples/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

std: 

clean:

.PHONY: default std $(TARGETS)

PYTHON_VERS = $(shell python -V 2>&1)

# there is a separate set of sources for 2.5 and 2.6
ifeq (Python 2.6,$(shell expr "$(PYTHON_VERS)" : "\(Python 2.6\)"))
PYTHON_VERS=26
elif (Python 2.5,$(shell expr "$(PYTHON_VERS)" : "\(Python 2.5\)"))
PYTHON_VERS=26
else
PYTHON_VERS=
endif

NGS_EXAMPLES = \
	FragTest \
	AlignTest \
	AlignSliceTest \
	PileupTest \
	RefTest \

# ===========================================================================
#
# example runs
#
# NOTE: Expect libngs-sdk.so and libncbi-vdb.so somewhere inside $LD_LIBRARY_PATH

run_frag: 
	python FragTest$(PYTHON_VERS).py ERR225922 10000 2 $(REDIRECT)

run_align: 
	python AlignTest$(PYTHON_VERS).py ERR225922 10000 2 $(REDIRECT)

run_align_slice: 
	python AlignSliceTest$(PYTHON_VERS).py SRR1121656 1 1 9999 $(REDIRECT)

run_pileup:
	python PileupTest$(PYTHON_VERS).py SRR1121656 1 9999 10003 $(REDIRECT)

run_ref:
	python RefTest$(PYTHON_VERS).py SRR1121656 $(REDIRECT)
    
ALL_TESTS = run_frag run_align run_align_slice run_pileup run_ref
    
run_all: $(ALL_TESTS)
    
.PHONY: run_align run_align_slice run_frag

# ===========================================================================
#
# expected results for auto-testing
#
expected.txt update_expected: 
	rm -f expected.txt; $(MAKE) run_all REDIRECT=">>expected.txt"

run_and_diff: expected.txt  
	rm -f actual.txt; $(MAKE) run_all REDIRECT=">>actual.txt"
	diff expected.txt actual.txt && rm actual.txt && echo NGS Python examples work as expected

.PHONY: update_expected run_and_diff

=== ngs-sdk/examples/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: std

ifeq (Darwin,$(shell uname -s))
    MFLAGS += -mmacosx-version-min=10.6
endif

CC = cc $(MFLAGS) $(CFLAGS)
CXX = c++ $(MFLAGS) $(CPPFLAGS)

# ensure definition of paths, namely
# NCBI_VDB_LIBDIR and NGS_LIBDIR
include $(CURDIR)/Makefile.config

TARGETS =               \
	AlignSliceTest      \
	AlignTest           \
	DumpReferenceFASTA  \
	FastqTableDump      \
	FragTest            \
	PileupTest          \
	RefTest             \

# This rule triggers detection of the libraries and headers
# in addition to building the examples
std: $(TARGETS)

$(TARGETS): $(NCBI_VDB_LIBDIR)/libncbi-vdb-static.a ncbi-headers $(NGS_LIBDIR)/libngs-c++.a ngs-headers

clean:
	rm -f $(TARGETS) *.o
	rm -rf *.dSYM

.PHONY: default std $(TARGETS)

# C++ applications require two NGS libraries:
#  1. ngs-c++ which contains the NGS "front-end" interfaces
#  2. an NGS "back-end" engine such as ncbi-ngs-c++
#     which in turn relies upon ncbi-vdb to access the SRA
#
TEST_LIBS =              \
	-L$(NCBI_VDB_LIBDIR) \
	-L$(NGS_LIBDIR)      \
	-lncbi-ngs-c++       \
	-lngs-c++            \
	-lngs-bam-c++        \
	-lncbi-ngs-c++       \
	-lncbi-vdb-static    \
	-lngs-adapt-c++      \
	-lpthread            \
	-ldl                 \
	-lm                  \


# AlignSliceTest
#  slice a ReadCollection and output alignments
ALIGNSLICE_TEST_SRC = \
	AlignSliceTest.cpp

AlignSliceTest: $(ALIGNSLICE_TEST_SRC)
	$(CXX) -g -o $@ $(ALIGNSLICE_TEST_SRC) $(TEST_LIBS)


# AlignTest #################
#  access alignments
ALIGN_TEST_SRC = \
	AlignTest.cpp

AlignTest: $(ALIGN_TEST_SRC)
	$(CXX) -g -o $@ $(ALIGN_TEST_SRC) $(TEST_LIBS)


# DumpReferenceFASTA
DUMP_SRC = \
	DumpReferenceFASTA.cpp
DumpReferenceFASTA: $(DUMP_SRC)
	$(CXX) -g -o $@ $(DUMP_SRC) $(TEST_LIBS)


# FastqTableDump
#  produce fastq-like table
FASTQ_TABLE_DUMP_OBJ = \
	FastqTableDump.cpp

FastqTableDump: $(FASTQ_TABLE_DUMP_OBJ)
	$(CXX) -g -o $@ $(FASTQ_TABLE_DUMP_OBJ) $(TEST_LIBS)


# FragTest
#  access read fragments
FRAG_TEST_SRC = \
	FragTest.cpp

FragTest: $(FRAG_TEST_SRC)
	$(CXX) -g -o $@ $(FRAG_TEST_SRC) $(TEST_LIBS)


# PileupTest
#  slice a ReadCollection and produce pileups
PILEUP_TEST_OBJ = \
	PileupTest.cpp

PileupTest: $(PILEUP_TEST_OBJ)
	$(CXX) -g -o $@ $(PILEUP_TEST_OBJ) $(TEST_LIBS)


# RefTest ###################
REF_TEST_SRC = \
	RefTest.cpp

RefTest: $(REF_TEST_SRC)
	$(CXX) -g -o $@ $(REF_TEST_SRC) $(TEST_LIBS)

# ===========================================================================
#
# installation
#
install: 
	@ cp *.cpp Makefile Makefile.config $(INST_TARGET)

# ===========================================================================
#
# example runs

run_frag:  FragTest
	./$^ ERR225922 10000 2 $(REDIRECT)

run_align: AlignTest
	./$^ ERR225922 10000 2 $(REDIRECT)

run_dump: DumpReferenceFASTA
	./$^ SRR520124 1 $(REDIRECT)

run_align_slice: AlignSliceTest
	./$^ SRR1121656 1 1 9999 $(REDIRECT)

run_pileup: PileupTest
	./$^ SRR1121656 1 9999 10003 $(REDIRECT)

run_ref: RefTest
	./$^ SRR1121656 $(REDIRECT)

ALL_TESTS = run_frag run_align run_align_slice run_pileup run_ref run_dump

run_all: $(ALL_TESTS)

.PHONY: $(ALL_TESTS)

# ===========================================================================
#
# expected results for auto-testing
#
expected.txt update_expected: 
	rm -f expected.txt
	$(MAKE) run_all REDIRECT=">>expected.txt"

run_and_diff: expected.txt
	rm -f actual.txt
	$(MAKE) run_all REDIRECT=">>actual.txt"
	@ diff expected.txt actual.txt && rm actual.txt && echo "NGS C++ examples work as expected"

.PHONY: update_expected run_and_diff install

=== ngs-sdk/language/java/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

default: std

TOP ?= $(abspath ../..)
include $(TOP)/Makefile.config

INT_LIBS = \
	ngs-bind-java

EXT_LIBS = \

TARGETS =       \
	$(INT_LIBS) \
	$(EXT_LIBS)

all std: $(TARGETS)

clean:
	rm -rf $(ILIBDIR)/$(LPFX)ngs-bind-java* $(OBJDIR)

.PHONY: default all std $(TARGETS)

#-------------------------------------------------------------------------------
# ngs-bind-java
#
ngs-bind-java: $(ILIBDIR) $(OBJDIR) $(ILIBDIR)/$(LPFX)ngs-bind-java.$(LIBX)

BIND_SRC =      	       \
	ReadCollectionItf      \
	ReferenceIteratorItf   \
	ReferenceItf           \
	ReferenceSequenceItf   \
	PileupIteratorItf      \
	PileupItf              \
	PileupEventIteratorItf \
	PileupEventItf         \
	AlignmentIteratorItf   \
	AlignmentItf           \
	ReadGroupIteratorItf   \
	ReadGroupItf           \
	ReadIteratorItf        \
	ReadItf                \
	FragmentItf            \
	StatisticsItf          \
	Package                \
	String                 \
	Refcount               \
	ErrorMsg


BIND_OBJ = \
	$(addprefix $(OBJDIR)/,$(addsuffix .$(LOBX),$(addprefix jni_,$(BIND_SRC))))

$(ILIBDIR)/$(LPFX)ngs-bind-java.$(LIBX): $(BIND_OBJ)
	$(AR) $@ $^

=== debian/changelog ===
ngs-sdk (1.3.0-3) unstable; urgency=medium

  [ Scott Kitterman ]
  * Reduce unneeded build-dep on python3-all-dev to python3-all
    Closes: #866514

  [ Andreas Tille ]
  * debhelper 10
  * Standards-Version: 4.1.0 (no changes needed)
  * d/rules: do not parse d/changelog
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2017 23:10:33 +0200

ngs-sdk (1.3.0-2) unstable; urgency=medium

  * Fix install dir by using DEB_HOST_MULTIARCH instead of DEB_BUILD_GNU_TYPE
    (thanks for the patch to Graham Inggs <ginggs@debian.org>)
    Closes: #859257

 -- Andreas Tille <tille@debian.org>  Sat, 01 Apr 2017 22:33:07 +0200

ngs-sdk (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * hardening=+bindnow

 -- Andreas Tille <tille@debian.org>  Wed, 09 Nov 2016 08:54:53 +0100

=== debian/control ===
Source: ngs-sdk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>,
           Vincent Danjean <vdanjean@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               d-shlibs,
               python-markdown,
               python-all-dev,
               python3-all,
               dh-python,
               javahelper,
               maven-repo-helper,
               default-jdk
Standards-Version: 4.1.0
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ngs-sdk.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/ngs-sdk.git
Homepage: https://github.com/ncbi/ngs

Package: libngs-sdk1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Next Generation Sequencing language Bindings
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.

Package: libngs-sdk-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libngs-sdk1 (= ${binary:Version})
Description: Next Generation Sequencing language Bindings (development)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 This is the development package.

Package: libngs-java
Architecture: any
Section: java
Depends: ${misc:Depends},
         ${java:Depends},
         libngs-sdk-dev (= ${binary:Version})
Recommends: ${java:Recommends}
Description: Next Generation Sequencing language Bindings (Java bindings)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 Java bindings.

Package: python-ngs
Architecture: any
Section: python
Depends: ${python:Depends},
         ${misc:Depends},
         libngs-sdk-dev (= ${binary:Version})
Description: Next Generation Sequencing language Bindings (Python bindings)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 Python bindings.

Package: python3-ngs
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         libngs-sdk-dev (= ${binary:Version})
Description: Next Generation Sequencing language Bindings (Python3 bindings)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
CPU := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
# since build-results are not ending up in the proper dir its saver to use "*" instead of "$(CPU)"
SODIR := $(DEB_SOURCE)/$(MULTIARCH)/$(DEB_SOURCE)/$(OS)/gcc/*

build2vers := $(shell pyversions -sv)
build3vers := $(shell py3versions -sv)

%:
	dh $@ --with python2,python3,javahelper,jh_maven_repo_helper

override_dh_auto_clean:
	if [ -e ngs-sdk/Makefile.config.$(OS).$(CPU) ] ; then \
	#    dh_auto_clean --sourcedirectory=$(DEB_SOURCE) ; \
	dh_auto_clean ; \
	fi
	rm -rf ngs-java/$(MULTIARCH)
	rm -rf ngs-bam/$(MULTIARCH)
	rm -f ngs-bam/Makefile.config
	rm -f ngs-bam/Makefile.config.install.linux.x86_64.prl
	rm -f ngs-bam/Makefile.config.linux.x86_64
	rm -f ngs-bam/reconfigure

	rm -rf $(DEB_SOURCE)/$(MULTIARCH)
	rm -rf ngs-python/build

override_dh_auto_configure:
	# # that's no standard configure script lacking support of default options \
	./configure --build=$(MULTIARCH) --prefix=/usr -- --source=1.7

override_dh_auto_build:
	#dh_auto_build --sourcedirectory=$(DEB_SOURCE)
	echo "DEBPKGNAME: $DEBPKGNAME"
	dh_auto_build --sourcedirectory=$(DEB_SOURCE)
	# Remove ngs-bam generation, expects ngs-sdk and cannot find a way
	# to specify it
	#cd ngs-bam && LD_LIBRARY_PATH=../$(SODIR)/rel/lib ./configure --build=$(MULTIARCH) --prefix=/usr --with-ngs-sdk-prefix=../ngs-sdk
	#dh_auto_build --sourcedirectory=ngs-bam
	dh_auto_build --sourcedirectory=ngs-java -- JAVAC="javac -source 1.7 -target 1.7"
	markdown_py -f README.html README.md

override_dh_auto_test:
	make -C $(DEB_SOURCE)/test
	# Tests of Java binding disabled because need external lib ncbi-vdb,
	# not available in Debian at this time
	#CLASSPATH=../$(MULTIARCH)/ngs-java/jar/ngs-java.jar LD_LIBRARY_PATH=$(SODIR)/rel/lib:$(LD_LIBRARY_PATH) make -C ngs-java/examples
	#CLASSPATH=../$(MULTIARCH)/ngs-java/jar/ngs-java.jar LD_LIBRARY_PATH=../../$(SODIR)/rel/lib:$(LD_LIBRARY_PATH) make -C ngs-java/examples run_all

override_dh_auto_install:
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-a \
		    --exclude-la \
		    --movedev "$(SODIR)/rel/lib/*.a*" usr/lib/$(MULTIARCH) \
		    --movedev "$(SODIR)/rel/ilib/*.a" usr/lib/$(MULTIARCH) \
		    --movedev ngs-sdk/ngs usr/include \
		    $(SODIR)/rel/lib/libngs-sdk.so

override_dh_install:
	dh_install -ppython3-ngs
	set -e && for i in $(build3vers); do \
		cd ngs-python ; \
		python$$i ./setup.py install --install-layout=deb --root ../debian/python3-ngs; \
		cd .. ; \
	done
	dh_install -ppython-ngs
	set -e && for i in $(build2vers); do \
		cd ngs-python ; \
		python$$i ./setup.py install --install-layout=deb --root ../debian/python-ngs; \
		cd .. ; \
	done
	find debian -name "*.pyc" -delete
	find debian -type d -name __pycache__ | xargs rm -rf

# require network, not automatically run
# use it when the pom file must be re-downloaded from maven repo
BASE_URL:=https://repo.maven.apache.org/maven2/gov/nih/nlm/ncbi/ngs-java
WGET=wget --no-clobber
get-poms:
	$(RM) debian/ngs-java.pom debian/ngs-java.pom.asc
	# extract upstream version
	$(WGET) -O debian/ngs-java.pom $(BASE_URL)/$(DEB_VERSION_UPSTREAM)/ngs-java-$(DEB_VERSION_UPSTREAM).pom && \
	$(WGET) -O debian/ngs-java.pom.asc $(BASE_URL)/$(DEB_VERSION_UPSTREAM)/ngs-java-$(DEB_VERSION_UPSTREAM).pom.asc
	gpg --trust-model=always --status-fd 1 --no-default-keyring --keyring debian/sra-tools.gpg --verify debian/ngs-java.pom.asc

## ngs-sdk 2.9.0

=== debian/changelog ===
ngs-sdk (2.9.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11
  * Soname change for library: s/libngs-sdk1/libngs-sdk2/
  * New Build-Depends: python3-distutils

 -- Andreas Tille <tille@debian.org>  Sat, 24 Mar 2018 09:34:17 +0100

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
            Vincent Danjean <vdanjean@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                d-shlibs,
                python-markdown,
                python-all-dev,
                python3-all,
+               python3-distutils,
                dh-python,
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.1.0
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ngs-sdk.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
 
-Package: libngs-sdk1
+Package: libngs-sdk2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -42,7 +43,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libngs-sdk1 (= ${binary:Version})
+         libngs-sdk2 (= ${binary:Version})
 Description: Next Generation Sequencing language Bindings (development)
  NGS is a new, domain-specific API for accessing reads, alignments and
  pileups produced from Next Generation Sequencing. The API itself is

## ngs-sdk 2.9.3

=== ngs-sdk/examples/Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 $(TARGETS): $(NCBI_VDB_LIBDIR)/libncbi-vdb-static.a ncbi-headers $(NGS_LIBDIR)/libngs-c++.a ngs-headers
 
 clean:
+	echo $(LD_LIBRARY_PATH)
 	rm -f $(TARGETS) *.o
 	rm -rf *.dSYM
 
@@ -175,11 +176,12 @@
 #
 expected.txt update_expected: 
 	rm -f expected.txt
-	$(MAKE) run_all REDIRECT=">>expected.txt"
+	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>expected.txt"
 
 run_and_diff: expected.txt
 	rm -f actual.txt
-	$(MAKE) run_all REDIRECT=">>actual.txt"
+	echo $(http_proxy)
+	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>actual.txt"
 	@ diff expected.txt actual.txt && rm actual.txt && echo "NGS C++ examples work as expected"
 
 .PHONY: update_expected run_and_diff install

=== ngs-sdk/test/ngs-test/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================


default: std

TOP ?= $(abspath ../..)
include $(TOP)/Makefile.config

TARGETS =      \
    test-ngs

all std: $(TARGETS)

clean:
	rm -rf $(OBJDIR) $(BINDIR)/test-ngs*

.PHONY: default all std $(TARGETS)

test-ngs: $(BINDIR) $(OBJDIR) $(BINDIR)/test-ngs$(EXEX)

#-------------------------------------------------------------------------------
# test-ngs
#
TEST_NGS_SRC = \
    main

TEST_NGS_OBJ = \
	$(addprefix $(OBJDIR)/,$(addsuffix .$(OBJX),$(TEST_NGS_SRC)))

TEST_NGS_LIB = \
    -ltest_engine \
    -lngs-bind-c++ \
    -lngs-disp \

$(BINDIR)/test-ngs$(EXEX): $(TEST_NGS_OBJ) 
	$(LP) $(DBG) $(OPT) -o $@ $^ -L$(LIBDIR) -L$(ILIBDIR) $(TEST_NGS_LIB) 

runtests: std $(BINDIR)/test-ngs$(EXEX)
	@ export LD_LIBRARY_PATH=$(LIBDIR):$(LD_LIBRARY_PATH); echo "Running $^ ..."; $(BINDIR)/test-ngs$(EXEX)

=== debian/changelog ===
ngs-sdk (2.9.3-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 21 Dec 2018 17:03:22 +0100

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,9 @@
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ngs-sdk.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ngs-sdk.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
+Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
 
 Package: libngs-sdk2

=== debian/rules ===
--- 
+++ 
@@ -49,11 +49,13 @@
 	markdown_py -f README.html README.md
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make -C $(DEB_SOURCE)/test
 	# Tests of Java binding disabled because need external lib ncbi-vdb,
 	# not available in Debian at this time
 	#CLASSPATH=../$(MULTIARCH)/ngs-java/jar/ngs-java.jar LD_LIBRARY_PATH=$(SODIR)/rel/lib:$(LD_LIBRARY_PATH) make -C ngs-java/examples
 	#CLASSPATH=../$(MULTIARCH)/ngs-java/jar/ngs-java.jar LD_LIBRARY_PATH=../../$(SODIR)/rel/lib:$(LD_LIBRARY_PATH) make -C ngs-java/examples run_all
+endif
 
 override_dh_auto_install:
 	d-shlibmove --commit \

## ngs-sdk 2.10.1

=== debian/changelog ===
ngs-sdk (2.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.4.1
  * Fixed more-archs patch, was missing a semicolon

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 16:45:29 +0100

ngs-sdk (2.10.0-4) unstable; urgency=medium

  * Team upload.
  * debian/patches/more_archs: don't hardcode 32 vs 64 bits, use
    dpkg-architecture -qDEB_TARGET_ARCH_BITS

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 14:19:11 +0100

ngs-sdk (2.10.0-3) unstable; urgency=medium

  * Team upload.

  [Frédéric Bonnard]
  * Add support for other architectures based on gcc atomic built-ins
   (Closes: #813559)

  [Michael R. Crusoe]
  * debian/patches/more_archs: enable arm64, mips64el, ppc64el, s390x, riscv64

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 10 Jan 2020 11:20:47 +0100

ngs-sdk (2.10.0-2) unstable; urgency=medium

  * Drop Python2 support
    Closes: #937139
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 11 Sep 2019 11:10:25 +0200

ngs-sdk (2.10.0-1) unstable; urgency=medium

  [ Olivier Sallou ]
  * New upstream release

 -- Olivier Sallou <osallou@debian.org>  Wed, 11 Sep 2019 07:27:49 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,16 @@
            Vincent Danjean <vdanjean@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs,
-               python-markdown,
-               python-all-dev,
+               markdown,
                python3-all,
                python3-distutils,
                dh-python,
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
 Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
@@ -41,8 +40,7 @@
 Package: libngs-sdk-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          libngs-sdk2 (= ${binary:Version})
 Description: Next Generation Sequencing language Bindings (development)
  NGS is a new, domain-specific API for accessing reads, alignments and
@@ -81,27 +79,6 @@
  .
  Java bindings.
 
-Package: python-ngs
-Architecture: any
-Section: python
-Depends: ${python:Depends},
-         ${misc:Depends},
-         libngs-sdk-dev (= ${binary:Version})
-Description: Next Generation Sequencing language Bindings (Python bindings)
- NGS is a new, domain-specific API for accessing reads, alignments and
- pileups produced from Next Generation Sequencing. The API itself is
- independent from any particular back-end implementation, and supports
- use of multiple back-ends simultaneously. It also provides a library for
- building new back-end "engines". The engine for accessing SRA data is
- contained within the sister repository ncbi-vdb.
- .
- The API is currently expressed in C++, Java and Python languages. The
- design makes it possible to maintain a high degree of similarity between
- the code in one language and code in another - especially between C++
- and Java.
- .
- Python bindings.
-
 Package: python3-ngs
 Architecture: any
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,10 @@
 # since build-results are not ending up in the proper dir its saver to use "*" instead of "$(CPU)"
 SODIR := $(DEB_SOURCE)/$(MULTIARCH)/$(DEB_SOURCE)/$(OS)/gcc/*
 
-build2vers := $(shell pyversions -sv)
 build3vers := $(shell py3versions -sv)
 
 %:
-	dh $@ --with python2,python3,javahelper,jh_maven_repo_helper
+	dh $@ --with python3,javahelper,jh_maven_repo_helper
 
 override_dh_auto_clean:
 	if [ -e ngs-sdk/Makefile.config.$(OS).$(CPU) ] ; then \
@@ -29,11 +28,13 @@
 	rm -f ngs-bam/Makefile.config.install.linux.x86_64.prl
 	rm -f ngs-bam/Makefile.config.linux.x86_64
 	rm -f ngs-bam/reconfigure
+	rm -rf ngs-sdk/ngs/unix/generic
 
 	rm -rf $(DEB_SOURCE)/$(MULTIARCH)
 	rm -rf ngs-python/build
 
 override_dh_auto_configure:
+	mkdir ngs-sdk/ngs/unix/generic && cp debian/atomic32.h ngs-sdk/ngs/unix/generic/
 	# # that's no standard configure script lacking support of default options \
 	./configure --build=$(MULTIARCH) --prefix=/usr -- --source=1.7
 
@@ -46,7 +47,7 @@
 	#cd ngs-bam && LD_LIBRARY_PATH=../$(SODIR)/rel/lib ./configure --build=$(MULTIARCH) --prefix=/usr --with-ngs-sdk-prefix=../ngs-sdk
 	#dh_auto_build --sourcedirectory=ngs-bam
 	dh_auto_build --sourcedirectory=ngs-java -- JAVAC="javac -source 1.7 -target 1.7"
-	markdown_py -f README.html README.md
+	markdown README.md > README.html
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
@@ -75,12 +76,6 @@
 		python$$i ./setup.py install --install-layout=deb --root ../debian/python3-ngs; \
 		cd .. ; \
 	done
-	dh_install -ppython-ngs
-	set -e && for i in $(build2vers); do \
-		cd ngs-python ; \
-		python$$i ./setup.py install --install-layout=deb --root ../debian/python-ngs; \
-		cd .. ; \
-	done
 	find debian -name "*.pyc" -delete
 	find debian -type d -name __pycache__ | xargs rm -rf
